Altibase.jdbc.driver.sharding.core

## Class AltibaseShardingCallableStatement

- java.lang.Object
- - Altibase.jdbc.driver.sharding.core.JdbcMethodInvoker
  - - Altibase.jdbc.driver.sharding.core.AltibaseShardingStatement
    - - Altibase.jdbc.driver.sharding.core.AltibaseShardingPreparedStatement
      - - Altibase.jdbc.driver.sharding.core.AltibaseShardingCallableStatement

All Implemented Interfaces:
  java.lang.AutoCloseable, java.sql.CallableStatement, java.sql.PreparedStatement, java.sql.Statement, java.sql.Wrapper

    public class AltibaseShardingCallableStatement
    extends AltibaseShardingPreparedStatement
    implements java.sql.CallableStatement

### Field Summary

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `createDataNodeStatement()`
`protected void` `createServerSideStatement()`
`java.sql.Array` `getArray(int aParameterIndex)`
`java.sql.Array` `getArray(java.lang.String aParameterName)`
`java.math.BigDecimal` `getBigDecimal(int aParameterIndex)`
`java.math.BigDecimal` `getBigDecimal(int aParameterIndex, int aScale)`
`java.math.BigDecimal` `getBigDecimal(java.lang.String aParameterName)`
`java.sql.Blob` `getBlob(int aParameterIndex)`
`java.sql.Blob` `getBlob(java.lang.String aParameterName)`
`boolean` `getBoolean(int aParameterIndex)`
`boolean` `getBoolean(java.lang.String aParameterName)`
`byte` `getByte(int aParameterIndex)`
`byte` `getByte(java.lang.String aParameterName)`
`byte[]` `getBytes(int aParameterIndex)`
`byte[]` `getBytes(java.lang.String aParameterName)`
`java.sql.Clob` `getClob(int aParameterIndex)`
`java.sql.Clob` `getClob(java.lang.String aParameterName)`
`java.sql.Date` `getDate(int aParameterIndex)`
`java.sql.Date` `getDate(int aParameterIndex, java.util.Calendar aCal)`
`java.sql.Date` `getDate(java.lang.String aParameterName)`
`java.sql.Date` `getDate(java.lang.String aParameterName, java.util.Calendar aCal)`
`double` `getDouble(int aParameterIndex)`
`double` `getDouble(java.lang.String aParameterName)`
`float` `getFloat(int aParameterIndex)`
`float` `getFloat(java.lang.String aParameterName)`
`int` `getInt(int aParameterIndex)`
`int` `getInt(java.lang.String aParameterName)`
`long` `getLong(int aParameterIndex)`
`long` `getLong(java.lang.String aParameterName)`
`java.lang.Object` `getObject(int aParameterIndex)`
`java.lang.Object` `getObject(int aParameterIndex, java.util.Map<java.lang.String,java.lang.Class<?>> aMap)`
`java.lang.Object` `getObject(java.lang.String aParameterName)`
`java.lang.Object` `getObject(java.lang.String aParameterName, java.util.Map<java.lang.String,java.lang.Class<?>> aMap)`
`java.sql.Ref` `getRef(int aParameterIndex)`
`java.sql.Ref` `getRef(java.lang.String aParameterName)`
`short` `getShort(int aParameterIndex)`
`short` `getShort(java.lang.String aParameterName)`
`java.lang.String` `getString(int aParameterIndex)`
`java.lang.String` `getString(java.lang.String aParameterName)`
`java.sql.Time` `getTime(int aParameterIndex)`
`java.sql.Time` `getTime(int aParameterIndex, java.util.Calendar aCal)`
`java.sql.Time` `getTime(java.lang.String aParameterName)`
`java.sql.Time` `getTime(java.lang.String aParameterName, java.util.Calendar aCal)`
`java.sql.Timestamp` `getTimestamp(int aParameterIndex)`
`java.sql.Timestamp` `getTimestamp(int aParameterIndex, java.util.Calendar aCal)`
`java.sql.Timestamp` `getTimestamp(java.lang.String aParameterName)`
`java.sql.Timestamp` `getTimestamp(java.lang.String aParameterName, java.util.Calendar aCal)`
`java.net.URL` `getURL(int aParameterIndex)`
`java.net.URL` `getURL(java.lang.String aParameterName)`
`void` `registerOutParameter(int aParameterIndex, int aSqlType)`
`void` `registerOutParameter(int aParameterIndex, int aSqlType, int aScale)`
`void` `registerOutParameter(int aParameterIndex, int aSqlType, java.lang.String aTypeName)`
`void` `registerOutParameter(java.lang.String aParameterName, int aSqlType)`
`void` `registerOutParameter(java.lang.String aParameterName, int aSqlType, int aScale)`
`void` `registerOutParameter(java.lang.String aParameterName, int aSqlType, java.lang.String aTypeName)`
`void` `setAsciiStream(java.lang.String aParameterName, java.io.InputStream aStream, int aLength)`
`void` `setBigDecimal(java.lang.String aParameterName, java.math.BigDecimal aValue)`
`void` `setBinaryStream(java.lang.String aParameterName, java.io.InputStream aStream, int aLength)`
`void` `setBoolean(java.lang.String aParameterName, boolean aValue)`
`void` `setByte(java.lang.String aParameterName, byte aValue)`
`void` `setBytes(java.lang.String aParameterName, byte[] aValue)`
`void` `setCharacterStream(java.lang.String aParameterName, java.io.Reader aReader, int aLength)`
`void` `setDate(java.lang.String aParameterName, java.sql.Date aValue)`
`void` `setDate(java.lang.String aParameterName, java.sql.Date aValue, java.util.Calendar aCal)`
`void` `setDouble(java.lang.String aParameterName, double aValue)`
`void` `setFloat(java.lang.String aParameterName, float aValue)`
`void` `setInt(java.lang.String aParameterName, int aValue)`
`void` `setLong(java.lang.String aParameterName, long aValue)`
`void` `setNull(java.lang.String aParameterName, int aSqlType)`
`void` `setNull(java.lang.String aParameterName, int aSqlType, java.lang.String aTypeName)`
`void` `setObject(java.lang.String aParameterName, java.lang.Object aValue)`
`void` `setObject(java.lang.String aParameterName, java.lang.Object aValue, int aTargetSqlType)`
`void` `setObject(java.lang.String aParameterName, java.lang.Object aValue, int aTargetSqlType, int aScale)`
`void` `setShort(java.lang.String aParameterName, short aValue)`
`void` `setString(java.lang.String aParameterName, java.lang.String aValue)`
`void` `setTime(java.lang.String aParameterName, java.sql.Time aValue)`
`void` `setTime(java.lang.String aParameterName, java.sql.Time aValue, java.util.Calendar aCal)`
`void` `setTimestamp(java.lang.String aParameterName, java.sql.Timestamp aValue)`
`void` `setTimestamp(java.lang.String aParameterName, java.sql.Timestamp aValue, java.util.Calendar aCal)`
`void` `setURL(java.lang.String aParameterName, java.net.URL val)`
`boolean` `wasNull()`

### Methods inherited from class Altibase.jdbc.driver.sharding.core.AltibaseShardingPreparedStatement

`addBatch, clearBatch, clearParameters, execute, execute, execute, execute, execute, executeBatch, executeQuery, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from class Altibase.jdbc.driver.sharding.core.AltibaseShardingStatement

`addBatch, cancel, clearWarnings, close, createInternalStatement, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMetaConn, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, hasNoData, isPrepared, removeFromStmtRouteMap, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout, setShardMetaNumber, setSql`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.CallableStatement

`getCharacterStream, getCharacterStream, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getRowId, getRowId, getSQLXML, getSQLXML, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, setAsciiStream, setAsciiStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setObject, setObject, setRowId, setSQLXML`

### Methods inherited from interface java.sql.PreparedStatement

`addBatch, clearParameters, execute, executeLargeUpdate, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### createServerSideStatement

    protected void createServerSideStatement()
                                      throws java.sql.SQLException

Overrides:
  `createServerSideStatement` in class `AltibaseShardingStatement`
Throws:
  `java.sql.SQLException`

#### createDataNodeStatement

    protected void createDataNodeStatement()
                                    throws java.sql.SQLException

Overrides:
  `createDataNodeStatement` in class `AltibaseShardingStatement`
Throws:
  `java.sql.SQLException`

#### registerOutParameter

    public void registerOutParameter(int aParameterIndex,
                                     int aSqlType)
                              throws java.sql.SQLException

Specified by:
  `registerOutParameter` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### registerOutParameter

    public void registerOutParameter(int aParameterIndex,
                                     int aSqlType,
                                     int aScale)
                              throws java.sql.SQLException

Specified by:
  `registerOutParameter` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### registerOutParameter

    public void registerOutParameter(int aParameterIndex,
                                     int aSqlType,
                                     java.lang.String aTypeName)
                              throws java.sql.SQLException

Specified by:
  `registerOutParameter` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### registerOutParameter

    public void registerOutParameter(java.lang.String aParameterName,
                                     int aSqlType)
                              throws java.sql.SQLException

Specified by:
  `registerOutParameter` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### registerOutParameter

    public void registerOutParameter(java.lang.String aParameterName,
                                     int aSqlType,
                                     int aScale)
                              throws java.sql.SQLException

Specified by:
  `registerOutParameter` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### registerOutParameter

    public void registerOutParameter(java.lang.String aParameterName,
                                     int aSqlType,
                                     java.lang.String aTypeName)
                              throws java.sql.SQLException

Specified by:
  `registerOutParameter` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

Specified by:
  `wasNull` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getString

    public java.lang.String getString(int aParameterIndex)
                               throws java.sql.SQLException

Specified by:
  `getString` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getString

    public java.lang.String getString(java.lang.String aParameterName)
                               throws java.sql.SQLException

Specified by:
  `getString` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getBoolean

    public boolean getBoolean(int aParameterIndex)
                       throws java.sql.SQLException

Specified by:
  `getBoolean` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getBoolean

    public boolean getBoolean(java.lang.String aParameterName)
                       throws java.sql.SQLException

Specified by:
  `getBoolean` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getByte

    public byte getByte(int aParameterIndex)
                 throws java.sql.SQLException

Specified by:
  `getByte` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getByte

    public byte getByte(java.lang.String aParameterName)
                 throws java.sql.SQLException

Specified by:
  `getByte` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getShort

    public short getShort(int aParameterIndex)
                   throws java.sql.SQLException

Specified by:
  `getShort` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getShort

    public short getShort(java.lang.String aParameterName)
                   throws java.sql.SQLException

Specified by:
  `getShort` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getInt

    public int getInt(int aParameterIndex)
               throws java.sql.SQLException

Specified by:
  `getInt` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getInt

    public int getInt(java.lang.String aParameterName)
               throws java.sql.SQLException

Specified by:
  `getInt` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getLong

    public long getLong(int aParameterIndex)
                 throws java.sql.SQLException

Specified by:
  `getLong` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getLong

    public long getLong(java.lang.String aParameterName)
                 throws java.sql.SQLException

Specified by:
  `getLong` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getFloat

    public float getFloat(int aParameterIndex)
                   throws java.sql.SQLException

Specified by:
  `getFloat` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getFloat

    public float getFloat(java.lang.String aParameterName)
                   throws java.sql.SQLException

Specified by:
  `getFloat` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getDouble

    public double getDouble(int aParameterIndex)
                     throws java.sql.SQLException

Specified by:
  `getDouble` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getDouble

    public double getDouble(java.lang.String aParameterName)
                     throws java.sql.SQLException

Specified by:
  `getDouble` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int aParameterIndex,
                                              int aScale)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getBytes

    public byte[] getBytes(int aParameterIndex)
                    throws java.sql.SQLException

Specified by:
  `getBytes` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getBytes

    public byte[] getBytes(java.lang.String aParameterName)
                    throws java.sql.SQLException

Specified by:
  `getBytes` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(int aParameterIndex)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(java.lang.String aParameterName,
                                 java.util.Calendar aCal)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(java.lang.String aParameterName)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(int aParameterIndex)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(java.lang.String aParameterName)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(java.lang.String aParameterName,
                                 java.util.Calendar aCal)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(int aParameterIndex)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String aParameterName)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String aParameterName,
                                           java.util.Calendar aCal)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject(int aParameterIndex)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject(java.lang.String aParameterName)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int aParameterIndex)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String aParameterName)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject(int aParameterIndex,
                                      java.util.Map<java.lang.String,java.lang.Class<?>> aMap)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject(java.lang.String aParameterName,
                                      java.util.Map<java.lang.String,java.lang.Class<?>> aMap)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getRef

    public java.sql.Ref getRef(int aParameterIndex)
                        throws java.sql.SQLException

Specified by:
  `getRef` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getRef

    public java.sql.Ref getRef(java.lang.String aParameterName)
                        throws java.sql.SQLException

Specified by:
  `getRef` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getBlob

    public java.sql.Blob getBlob(int aParameterIndex)
                          throws java.sql.SQLException

Specified by:
  `getBlob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getBlob

    public java.sql.Blob getBlob(java.lang.String aParameterName)
                          throws java.sql.SQLException

Specified by:
  `getBlob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getClob

    public java.sql.Clob getClob(int aParameterIndex)
                          throws java.sql.SQLException

Specified by:
  `getClob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getClob

    public java.sql.Clob getClob(java.lang.String aParameterName)
                          throws java.sql.SQLException

Specified by:
  `getClob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getArray

    public java.sql.Array getArray(int aParameterIndex)
                            throws java.sql.SQLException

Specified by:
  `getArray` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getArray

    public java.sql.Array getArray(java.lang.String aParameterName)
                            throws java.sql.SQLException

Specified by:
  `getArray` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(int aParameterIndex,
                                 java.util.Calendar aCal)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(int aParameterIndex,
                                 java.util.Calendar aCal)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(int aParameterIndex,
                                           java.util.Calendar aCal)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getURL

    public java.net.URL getURL(int aParameterIndex)
                        throws java.sql.SQLException

Specified by:
  `getURL` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getURL

    public java.net.URL getURL(java.lang.String aParameterName)
                        throws java.sql.SQLException

Specified by:
  `getURL` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setURL

    public void setURL(java.lang.String aParameterName,
                       java.net.URL val)
                throws java.sql.SQLException

Specified by:
  `setURL` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setNull

    public void setNull(java.lang.String aParameterName,
                        int aSqlType)
                 throws java.sql.SQLException

Specified by:
  `setNull` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setBoolean

    public void setBoolean(java.lang.String aParameterName,
                           boolean aValue)
                    throws java.sql.SQLException

Specified by:
  `setBoolean` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setByte

    public void setByte(java.lang.String aParameterName,
                        byte aValue)
                 throws java.sql.SQLException

Specified by:
  `setByte` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setShort

    public void setShort(java.lang.String aParameterName,
                         short aValue)
                  throws java.sql.SQLException

Specified by:
  `setShort` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setInt

    public void setInt(java.lang.String aParameterName,
                       int aValue)
                throws java.sql.SQLException

Specified by:
  `setInt` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setLong

    public void setLong(java.lang.String aParameterName,
                        long aValue)
                 throws java.sql.SQLException

Specified by:
  `setLong` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setFloat

    public void setFloat(java.lang.String aParameterName,
                         float aValue)
                  throws java.sql.SQLException

Specified by:
  `setFloat` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setDouble

    public void setDouble(java.lang.String aParameterName,
                          double aValue)
                   throws java.sql.SQLException

Specified by:
  `setDouble` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setBigDecimal

    public void setBigDecimal(java.lang.String aParameterName,
                              java.math.BigDecimal aValue)
                       throws java.sql.SQLException

Specified by:
  `setBigDecimal` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setString

    public void setString(java.lang.String aParameterName,
                          java.lang.String aValue)
                   throws java.sql.SQLException

Specified by:
  `setString` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setBytes

    public void setBytes(java.lang.String aParameterName,
                         byte[] aValue)
                  throws java.sql.SQLException

Specified by:
  `setBytes` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setDate

    public void setDate(java.lang.String aParameterName,
                        java.sql.Date aValue)
                 throws java.sql.SQLException

Specified by:
  `setDate` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setTime

    public void setTime(java.lang.String aParameterName,
                        java.sql.Time aValue)
                 throws java.sql.SQLException

Specified by:
  `setTime` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setTimestamp

    public void setTimestamp(java.lang.String aParameterName,
                             java.sql.Timestamp aValue)
                      throws java.sql.SQLException

Specified by:
  `setTimestamp` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setAsciiStream

    public void setAsciiStream(java.lang.String aParameterName,
                               java.io.InputStream aStream,
                               int aLength)
                        throws java.sql.SQLException

Specified by:
  `setAsciiStream` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setBinaryStream

    public void setBinaryStream(java.lang.String aParameterName,
                                java.io.InputStream aStream,
                                int aLength)
                         throws java.sql.SQLException

Specified by:
  `setBinaryStream` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(java.lang.String aParameterName,
                          java.lang.Object aValue,
                          int aTargetSqlType,
                          int aScale)
                   throws java.sql.SQLException

Specified by:
  `setObject` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(java.lang.String aParameterName,
                          java.lang.Object aValue,
                          int aTargetSqlType)
                   throws java.sql.SQLException

Specified by:
  `setObject` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(java.lang.String aParameterName,
                          java.lang.Object aValue)
                   throws java.sql.SQLException

Specified by:
  `setObject` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setCharacterStream

    public void setCharacterStream(java.lang.String aParameterName,
                                   java.io.Reader aReader,
                                   int aLength)
                            throws java.sql.SQLException

Specified by:
  `setCharacterStream` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setDate

    public void setDate(java.lang.String aParameterName,
                        java.sql.Date aValue,
                        java.util.Calendar aCal)
                 throws java.sql.SQLException

Specified by:
  `setDate` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setTime

    public void setTime(java.lang.String aParameterName,
                        java.sql.Time aValue,
                        java.util.Calendar aCal)
                 throws java.sql.SQLException

Specified by:
  `setTime` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setTimestamp

    public void setTimestamp(java.lang.String aParameterName,
                             java.sql.Timestamp aValue,
                             java.util.Calendar aCal)
                      throws java.sql.SQLException

Specified by:
  `setTimestamp` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setNull

    public void setNull(java.lang.String aParameterName,
                        int aSqlType,
                        java.lang.String aTypeName)
                 throws java.sql.SQLException

Specified by:
  `setNull` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`